import { PrecisionType } from '../defaults';
/**
 * Formats a number to a significant number of digits with valid fallback even if the
 * `toLocaleString` method is not supported by the actual browser
 * @param {Number|String} number
 * @param {Number} significantDigits - this may be a value between 1 and 21, inclusive
 * @param {String} locale
 * @returns {String}
 */
export declare function formatNumberToSignificantDigits(number: number, locale?: string, significantDigits?: number): string;
/**
 * Formats a number precisely with valid fallback even if the
 * `toLocaleString` method is not supported by the actual browser
 * @param {Number|String} number
 * @param {String} locale
 * @param {Number} precision - this may be a value between 0 and 20 for `FractionDigits` or 1 and 21 for `SignificantDigits`
 * @param {String} precisionType - `FractionDigits|SignificantDigits`
 * @returns {String}
 */
export declare function formatNumber(number: number, locale?: string, precision?: number, precisionType?: PrecisionType): string;
export declare function formatNumberWithOptions(value: number, options: Intl.NumberFormatOptions, locale: string, fallback: string): string;
