export declare type DisplayRate = {
    /**
     * Numerical rate to 4 decimal places. Only use when there is another indicator on the screen
     * for if the rate is inverted or not, such as a multiply/divide icon.
     */
    decimal: string;
    /**
     * Rate equation such as `1 ABC = 0.5743 DEF`. Use this whenever you need to display a rate
     * without much context.
     */
    equation: string;
    /**
     * If the rates given are given in the opposite direction to now the function was called.
     * For example if source was BRL and target was EUR, an inverted equation of
     * `1 EUR = 5.1233 BRL` may be returned.
     */
    inverted: boolean;
};
/**
 * Returns rates for displaying to customers.
 */
export default function getDisplayRate({ rate, sourceCurrency, targetCurrency, locale, }: {
    rate: number;
    sourceCurrency: string;
    targetCurrency: string;
    locale: string;
}): DisplayRate;
